Max
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
PATCH | |
DELETE | |
POST |
Create conversations queue
Path parameters
- conversationstring
Request parameters
Response
Example request
POST /api /projects /:project_id /conversations /:conversation /queueexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/conversations/:conversation/queue/\-d status=undefined
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/conversations/{conversation}/queue/".format(project_id=project_id,conversation="<the conversation>"),headers={"Authorization": "Bearer {}".format(api_key)},data={}).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","status": "idle","title": "string","topic": "web_analytics","user": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z","type": "assistant","is_internal": true,"slack_thread_key": "string","slack_workspace_domain": "string","messages": [{}],"has_unsupported_content": true,"agent_mode": "string","agent_runtime": "langgraph","is_sandbox": true,"pending_approvals": [{}],"task": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","task_number": 0,"slug": "string","title": "string","title_manually_set": true,"description": "string","origin_product": "string","runtime": "acp","repository": "string","github_integration": 0,"github_user_integration": "d46b8f4e-2e12-4354-88a4-723bb64114d3","signal_report": "f46cde2b-d4ed-4f8c-8d95-dad529d245b3","json_schema": {},"internal": true,"archived": true,"archived_at": "2019-08-24T14:15:22Z","latest_run": "9c6e887d-05e4-4850-8ede-1a273a702178","created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "string","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "string"},"ci_prompt": "string"}}
Update conversations queue
Path parameters
- conversationstring
- queue_idstring
Request parameters
Response
Example request
PATCH /api /projects /:project_id /conversations /:conversation /queue /:queue_idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X PATCH \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/conversations/:conversation/queue/:queue_id/\-d status=undefined
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.patch("<ph_app_host>/api/projects/{project_id}/conversations/{conversation}/queue/{queue_id}/".format(project_id=project_id,conversation="<the conversation>",,queue_id="<the queue id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={}).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","status": "idle","title": "string","topic": "web_analytics","user": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z","type": "assistant","is_internal": true,"slack_thread_key": "string","slack_workspace_domain": "string","messages": [{}],"has_unsupported_content": true,"agent_mode": "string","agent_runtime": "langgraph","is_sandbox": true,"pending_approvals": [{}],"task": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","task_number": 0,"slug": "string","title": "string","title_manually_set": true,"description": "string","origin_product": "string","runtime": "acp","repository": "string","github_integration": 0,"github_user_integration": "d46b8f4e-2e12-4354-88a4-723bb64114d3","signal_report": "f46cde2b-d4ed-4f8c-8d95-dad529d245b3","json_schema": {},"internal": true,"archived": true,"archived_at": "2019-08-24T14:15:22Z","latest_run": "9c6e887d-05e4-4850-8ede-1a273a702178","created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "string","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "string"},"ci_prompt": "string"}}
Delete conversations queue
Path parameters
- conversationstring
- queue_idstring
Example request
DELETE /api /projects /:project_id /conversations /:conversation /queue /:queue_idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X DELETE \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/conversations/:conversation/queue/:queue_id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.delete("<ph_app_host>/api/projects/{project_id}/conversations/{conversation}/queue/{queue_id}/".format(project_id=project_id,conversation="<the conversation>",,queue_id="<the queue id>"),headers={"Authorization": "Bearer {}".format(api_key)},)
Example response
Status 204 No response body
Create conversations queue clear
Path parameters
- conversationstring
Request parameters
Response
Example request
POST /api /projects /:project_id /conversations /:conversation /queue /clearexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/conversations/:conversation/queue/clear/\-d status=undefined
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/conversations/{conversation}/queue/clear/".format(project_id=project_id,conversation="<the conversation>"),headers={"Authorization": "Bearer {}".format(api_key)},data={}).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","status": "idle","title": "string","topic": "web_analytics","user": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z","type": "assistant","is_internal": true,"slack_thread_key": "string","slack_workspace_domain": "string","messages": [{}],"has_unsupported_content": true,"agent_mode": "string","agent_runtime": "langgraph","is_sandbox": true,"pending_approvals": [{}],"task": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","task_number": 0,"slug": "string","title": "string","title_manually_set": true,"description": "string","origin_product": "string","runtime": "acp","repository": "string","github_integration": 0,"github_user_integration": "d46b8f4e-2e12-4354-88a4-723bb64114d3","signal_report": "f46cde2b-d4ed-4f8c-8d95-dad529d245b3","json_schema": {},"internal": true,"archived": true,"archived_at": "2019-08-24T14:15:22Z","latest_run": "9c6e887d-05e4-4850-8ede-1a273a702178","created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "string","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "string"},"ci_prompt": "string"}}